[arch-commits] Commit in libxrender/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 19:57:26 EDT 2009


    Date: Tuesday, April 14, 2009 @ 19:57:26
  Author: eric
Revision: 35641

upgpkg: libxrender 0.9.4-2
    Added license

Modified:
  libxrender/trunk/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-14 23:56:18 UTC (rev 35640)
+++ PKGBUILD	2009-04-14 23:57:26 UTC (rev 35641)
@@ -3,20 +3,22 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxrender
 pkgver=0.9.4
-pkgrel=1
+pkgrel=2
 pkgdesc="X Rendering Extension client library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libx11' 'renderproto')
 makedepends=('pkgconfig')
 options=('!libtool')
 source=(${url}/releases/individual/lib/libXrender-${pkgver}.tar.bz2)
+md5sums=('dc266e850c51368f964e0d67bf5fb5e6')
 
 build() {
-  cd ${startdir}/src/libXrender-${pkgver}
+  cd ${srcdir}/libXrender-${pkgver}
   ./configure --prefix=/usr \
               --build=${CHOST} --host=${CHOST}
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-md5sums=('dc266e850c51368f964e0d67bf5fb5e6')



More information about the arch-commits mailing list